﻿using MediatR;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using ProxmoxConnector.Server.Application.Queries;
using System.Threading.Tasks;

namespace ProxmoxConnector.Server.Controllers
{
    [Authorize]
    [ApiController]
    [Route("connector")]
    public class ConnectorController : ControllerBase
    {
        private readonly IMediator _mediator;

        public ConnectorController(IMediator mediator)
        {
            _mediator=mediator;
        }

        [AllowAnonymous]
        [HttpGet("test")]
        public async Task<IActionResult> TestQ([FromRoute] TestQ.Query query)
        {
            var result = await _mediator.Send(query);
            return Ok(result);
        }
    }
}
